/*
bthxdmp.c Version 0.1.0  Btree print database in hex
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

#include <bthash.h>

void bthxdmp(btreefmt *bthdr, char *tag)
   {
   BOOL bResult;
   int eofsw;
   DWORD rdlen;
   unsigned int adr;
   DWORD  loc;
   DWORD  msgerr;
   LPVOID lpMsgBuf;
   unsigned char buf[32];
   bthdr->reason = 0;
   loc = SetFilePointer(bthdr->hndl,(long) 0L,
      NULL,FILE_BEGIN);
   if (loc != (DWORD) 0L)
      {
      msgerr = GetLastError();
      bthdr->reason = SYS_ERR + msgerr;
      FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER |
         FORMAT_MESSAGE_FROM_SYSTEM |
         FORMAT_MESSAGE_IGNORE_INSERTS,
         NULL,             /* source */
         msgerr,
         MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
         (LPTSTR) &lpMsgBuf,
         0,                /* message length */
         NULL);            /* insertion values */
      fprintf(stderr,"bthxdmp: %s", lpMsgBuf);
      LocalFree(lpMsgBuf);
      fprintf(stderr,"bthxdmp: SetFilePointer err\n");
      return;
      } /* if lseek err */
   printf("bthxdmp: %s\n", tag);
   eofsw = 0;
   adr = 0;
   while (!eofsw)
      {
      bResult = ReadFile(bthdr->hndl,buf,
         (DWORD) 16L,
         &rdlen,NULL);
      if (!bResult)
	 {
         msgerr = GetLastError();
         bthdr->reason = SYS_ERR + msgerr;
         FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER |
            FORMAT_MESSAGE_FROM_SYSTEM |
            FORMAT_MESSAGE_IGNORE_INSERTS,
            NULL,             /* source */
            msgerr,
            MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
            (LPTSTR) &lpMsgBuf,
            0,                /* message length */
            NULL);            /* insertion values */
         fprintf(stderr,"bthxdmp: %s", lpMsgBuf);
         LocalFree(lpMsgBuf);
         fprintf(stderr,"bthxdmp: read error\n");
         return;
	 } /* read err */
      if (!rdlen)
	 {
	 eofsw = 1;
         break;
	 } /* eof */
      btputhx(adr,(int) rdlen,buf);
      adr += 16;
      } /* for each 16 bytes */
   } /* bthxdmp */
