# tst.mak Version 0.1.0 Compile the hash test programs
# Copyright (C) 2003  dondalah@ripco.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

OBJ=bldhsh.obj \
    chains.obj \
    dbck.obj \
    delhsh.obj \
    dmphsh.obj \
    getprime.obj \
    holdlock.obj \
    hshsize.obj \
    inithsh.obj \
    lsthsh.obj \
    reorg.obj \
    schema.obj \
    tmphsh.obj \
    tsthash.obj \
    tstlock.obj

EXE=bldhsh.exe \
    chains.exe \
    dbck.exe \
    delhsh.exe \
    dmphsh.exe \
    getprime.exe \
    holdlock.exe \
    hshsize.exe \
    inithsh.exe \
    lsthsh.exe \
    reorg.exe \
    schema.exe \
    tmphsh.exe \
    tsthash.exe \
    tstlock.exe

INCLUDE=$(INCLUDE);..\..\include

LIB=$(LIB);..\..\lib

GUILIBS=$(GUILIBS) bthash.lib

LDFLAGS=-DEFAULTLIB:bthash.lib
XLDFLAGS=$(GUILIBS)

all:             $(OBJ) $(EXE)

bldhsh.exe:            bldhsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:bldhsh.exe \
        bldhsh.obj \
        $(LDFLAGS)

chains.exe:            chains.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:chains.exe \
        chains.obj \
        $(LDFLAGS)

dbck.exe:              dbck.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:dbck.exe \
        dbck.obj \
        $(LDFLAGS)

delhsh.exe:            delhsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:delhsh.exe \
        delhsh.obj \
        $(LDFLAGS)

dmphsh.exe:            dmphsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:dmphsh.exe \
        dmphsh.obj \
        $(LDFLAGS)

getprime.exe:          getprime.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:getprime.exe \
        getprime.obj \
        $(LDFLAGS)

holdlock.exe:          holdlock.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:holdlock.exe \
        holdlock.obj \
        $(LDFLAGS)

hshsize.exe:           hshsize.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:hshsize.exe \
        hshsize.obj \
        $(LDFLAGS)

inithsh.exe:           inithsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:inithsh.exe \
        inithsh.obj \
        $(LDFLAGS)

lsthsh.exe:            lsthsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:lsthsh.exe \
        lsthsh.obj \
        $(LDFLAGS)

reorg.exe:             reorg.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:reorg.exe \
        reorg.obj \
        $(LDFLAGS)

schema.exe:            schema.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:schema.exe \
        schema.obj \
        $(LDFLAGS)

tmphsh.exe:            tmphsh.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:tmphsh.exe \
        tmphsh.obj \
        $(LDFLAGS)

tsthash.exe:           tsthash.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:tsthash.exe \
        tsthash.obj \
        $(LDFLAGS)

tstlock.exe:           tstlock.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:tstlock.exe \
        tstlock.obj \
        $(LDFLAGS)

bldhsh.obj:        bldhsh.c
        $(CC) $(CFLAGS) bldhsh.c

chains.obj:        chains.c
        $(CC) $(CFLAGS) chains.c

dbck.obj:          dbck.c
        $(CC) $(CFLAGS) dbck.c

delhsh.obj:        delhsh.c
        $(CC) $(CFLAGS) delhsh.c

dmphsh.obj:        dmphsh.c
        $(CC) $(CFLAGS) dmphsh.c

getprime.obj:      getprime.c
        $(CC) $(CFLAGS) getprime.c

holdlock.obj:      holdlock.c
        $(CC) $(CFLAGS) holdlock.c

hshsize.obj:       hshsize.c
        $(CC) $(CFLAGS) hshsize.c

inithsh.obj:       inithsh.c
        $(CC) $(CFLAGS) inithsh.c

lsthsh.obj:        lsthsh.c
        $(CC) $(CFLAGS) lsthsh.c

reorg.obj:         reorg.c
        $(CC) $(CFLAGS) reorg.c

schema.obj:        schema.c
        $(CC) $(CFLAGS) schema.c

tsthash.obj:       tsthash.c
        $(CC) $(CFLAGS) tsthash.c

tmphsh.obj:        tmphsh.c
        $(CC) $(CFLAGS) tmphsh.c

tstlock.obj:       tstlock.c
        $(CC) $(CFLAGS) tstlock.c

clean:
        erase chains.obj
        erase chains.exe
        erase dbck.obj
        erase dbck.exe
        erase delhsh.obj
        erase delhsh.exe
        erase getprime.obj
        erase getprime.exe
        erase holdlock.obj
        erase holdlock.exe
        erase hshsize.obj
        erase hshsize.exe
        erase inithsh.obj
        erase inithsh.exe
        erase lsthsh.obj
        erase lsthsh.exe
        erase reorg.obj
        erase reorg.exe
        erase schema.obj
        erase schema.exe
        erase tsthash.obj
        erase tsthash.exe
        erase tmphsh.obj
        erase tmphsh.exe
        erase tstlock.obj
        erase tstlock.exe
        erase bldhsh.obj
        erase bldhsh.exe
